aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/test.sh
diff options
context:
space:
mode:
authorTobias Brunner <tobias@strongswan.org>2016-06-30 10:34:54 +0200
committerTobias Brunner <tobias@strongswan.org>2016-09-05 16:58:29 +0200
commit4e8f5a189cce83c05a953387b3174fdf142b5f7c (patch)
tree757dd803f724cad454a38a462df9eff14e44b626 /scripts/test.sh
parent94a69986084a092f4ccdcc8e589093167ed9b47f (diff)
downloadstrongswan-4e8f5a189cce83c05a953387b3174fdf142b5f7c.tar.bz2
strongswan-4e8f5a189cce83c05a953387b3174fdf142b5f7c.tar.xz
travis: Add apidoc check
This requires at least Ubuntu 14.04 (the Doxygen version in 12.04 has some issues with our Doxyfile and prints lots of warnings).
Diffstat (limited to 'scripts/test.sh')
-rwxr-xr-xscripts/test.sh31
1 files changed, 29 insertions, 2 deletions
diff --git a/scripts/test.sh b/scripts/test.sh
index 9365492ef..5bb6192dc 100755
--- a/scripts/test.sh
+++ b/scripts/test.sh
@@ -110,6 +110,11 @@ osx)
dist)
TARGET=distcheck
;;
+apidoc)
+ DEPS="doxygen"
+ CONFIG="--disable-defaults"
+ TARGET=apidoc
+ ;;
*)
echo "$0: unknown test $TEST" >&2
exit 1
@@ -146,5 +151,27 @@ CONFIG="$CONFIG
echo "$ ./autogen.sh"
./autogen.sh || exit $?
-echo "$ CC=$CC CFLAGS=\"$CFLAGS\" ./configure $CONFIG && make $TARGET"
-CC="$CC" CFLAGS="$CFLAGS" ./configure $CONFIG && make -j4 $TARGET
+echo "$ CC=$CC CFLAGS=\"$CFLAGS\" ./configure $CONFIG"
+CC="$CC" CFLAGS="$CFLAGS" ./configure $CONFIG || exit $?
+
+case "$TEST" in
+apidoc)
+ exec 2>make.warnings
+ ;;
+*)
+ ;;
+esac
+
+echo "$ make $TARGET"
+make -j4 $TARGET
+
+case "$TEST" in
+apidoc)
+ if test -s make.warnings; then
+ cat make.warnings
+ exit 1
+ fi
+ ;;
+*)
+ ;;
+esac